
/* 
 * LiulGuph.h -- Interface file for the LiulGuph class 
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to its
 * fitness for any particular use.
 *
 */

#import <appkit/appkit.h>

@interface LiulGuph:View {

	id		gen2;
	id		gen3;
	id		gen4;

	id		treeShow;

	id		basicStates;
	id		constBox;
	id		dbBranches;
	id		evWindow;
	id		evButton;
	id		linkAge;
	id		moveWhich;
	id		nodeNumber;
	id		rijnBigBox;
	id		rijnLilBox;
	id		shiftBox;
	id		widBox;
	id		bouBox;
	id		capBox;
	id		lblBox;
	id		dblBox;

	id		ruleNumber;
	id		underDiagram;
	id		whichConstant;
	id		whichPermutation;
	id		whichShift;

	id		drawPanel;
	id		drawTheView;
	id		rijnWindow;
	id		timeDate;
	
	id		menuCopy;
	id		menuPrint;

	id		delegate;
	id		crossCursor;
}

- basicRijn:sender;
- fullRijn:sender;
- loadRijn:sender;
- loadDiagramType:sender;
- loadParamValues:sender;
- loadSelectionPanel:sender;
- rijn:sender;
- rijnConst:sender;
- rijnHowBig:sender;
- rijnRanSam:sender;
- rijnReset:sender;
- shewRijn:sender;


- initFrame:(const NXRect *)frameRect;
- setDelegate:anObject;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- mouseDown:(NXEvent *)theEvent;

@end

/* end LiulGuph.h */
