
#import <appkit/appkit.h>

@interface RulePanel:View {

/* panel control - - - - - - - - - - - - - - - - - - - - - - - - */

	id		specBigBox;
	id		specLilBox;
	id		arithmRuleBox;
	id		equivRuleBox;
	id		lcauRuleBox;
	id		fredknRuleBox;
	id		pmutRuleBox;
	id		prodRuleBox;
	id		subsetRuleBox;

/* Rule Panel  - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		infoPanel;
	id		mainWindow;
	id		menuCopy;
	id		menuPrint;
	id		nowBox;
	id		nowSpesh;
	id		speshPanel;

/* Main Panel  - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		ascru;
	id		changeLine;
	id		pSliders;
	id		pWindows;
	id		ruleBox;
	id		ruleNumber;
	id		totlRef;
	id		sIncr;
	id		tiDat;
	id		whichState;
	id		wrule;

/* de Bruijn Window  - - - - - - - - - - - - - - - - - - - - - - */
	id		gfWindow;      /* = */
	id		ruleFormula;   /* - */

/* cartesian product  - - - - - - - - - - - - - - - - - - - - - */

	id		leftFact;
	id		rightFact;
	id		the3hRule;
	id		the3HRule;

/* permuted Window  - - - - - - - - - - - - - - - - - - - - - - */

	id		pMut0;
	id		pMut1;
	id		pMut2;
	id		pMut3;
	id		pMut4;
	id		pMut5;
	id		pMut6;
	id		pMut7;
	id		pMut8;

/* totalistic rules  - - - - - - - - - - - - - - - - - - - - - */

	id		toascru;
	id		toRuleBox;
	id		toRuleNumber;
	id		toWindow;

/* clannish Window  - - - - - - - - - - - - - - - - - - - - - */

	id		clanMatrix;
	id		clan2h;

/* equivalence Box  - - - - - - - - - - - - - - - - - - - - - - */

	id		eqChoices;
	id		eqFactor;
	id		eqPair;

/* arithmetic Box   - - - - - - - - - - - - - - - - - - - - - - */
	id		twoRules;      /* = */


/* trivia Panel    - - - - - - - - - - - - - - - - - - - - - - */
	id		statEntro;     /* = */
        id		statPEntro;    /* = */
	id		statIndx;      /* = */
	id		statLamb;      /* = */
	id		statPairs;     /* = */
	id		statState;     /* = */
	id		statXeno;      /* = */

/* permuted rule - - - - - - - - - - - - - - - - - - - - - - -  */
	id		pRu;

/* design Window  - - - - - - - - - - - - - - - - - - - - - - - */
	id		ddWindow;      /* - */
	id		designPrm;     /* = */
	id		designRef;     /* = */
	id		zeZeZe;        /* = */


/* ----------    REC line from RulePanel --------*/

		
	id		RECline;       /* + */
	id		RECPanel;      /* + */
	id		RECValue;      /* + */


}

- loadSpecialRule:sender;
- loadLowerPanel:thisRuleBox;

- freeAllRules:sender;
- insertRule:sender;
- protectGenRule:sender;
- ranRules:sender;
- ranPRules:sender;
- relatedRule:sender;
- readWRule:sender;
- setAllRules:sender;
- setDemo:sender;
- setRule:sender;
- showProbability:sender;
- symRule:sender;
- zeroRules:sender;

- randomLine:sender;
- sCellLine:sender;
- uniformLine:sender;

- enterGF9Rule:sender;
- setMCoeff:sender;
- setSCoeff:sender;
- setVCoeff:sender;

/* permutation Window  - - - - - - - - - - - - - - - - - - - - - */

- pmutValue:sender;
- pmutRule:sender;

/* Totalistic Rule   - - - - - - - - - - - - - - - - - - - - - - */

- enterTotalisticRule:sender;
- ranTRule:sender;
- readTRule:sender;
- setTotalisticState:sender;
- setTotRule:sender;
- setTotRules:sender;

- cartxRule:sender;
- rand3h:sender;
- prodRule:sender;
- read3HRule:sender;
- read3hRule:sender;
- readLeftFact:sender;
- readRightFact:sender;
- setCartUp:sender;

- equivalence:sender;
- ranqul:sender;

/* ----------    arithmRulebox   ------------ */
- arithmCombs:sender;
- initTwoRules:sender;

- randphobic:sender;
- xenophilic:sender;
- xenophobic:sender;
- enterPair:sender;

- clearDesign:sender;          /* = */
- copyToDesign:sender;         /* = */
- deZign:sender;               /* = */
- enterDesign:sender;          /* = */

- nxasfreq;

@end 

/* end RulePanel.h */ 
